/*(( "Header" */
/*
 * $Id: logging.h,v 1.2 1996/04/26 05:14:03 mshopf Exp mshopf $
 *
 * (c) 1995-96 Matthias Hopf
 *
 * Log file functions for httpproxy.
 *
 */

/*
 * $Log: logging.h,v $
 * Revision 1.2  1996/04/26  05:14:03  mshopf
 * V0.13 alpha 5 fix.
 *
 * Revision 1.1  1996/04/24  03:20:13  mshopf
 * Initial revision
 *
 */


/*)) */

#ifndef _LOGGING_H__
#define _LOGGING_H__

/*(( "Includes" */

#include "httpproxy.h"  /* we need request_t for the prototypes... */

/*)) */
/*(( "Logging Types" */

#define L_ERROR    NULL
#define L_MSG      ((char *) -1)
#define L_ERRMSG   ((char *) -2)
#define L_INFO     ("info")
#define L_WARN     ("warning")

/*)) */
/*(( "Prototypes" */

/* Open log file. Terminate on failure. */
void    LogOpenFile (const char *Name);

/* Close the log file */
void    LogCloseFile (void);

/* Print non-formal logging information (preceeded by '*'). Termination with '\n' is necessary. */
void    LogSpecial (const char *Template, ...);

/* Specify NULL as request, when not-connected errors occure */
/* Print logging information (only connected) */
void    LogStd (request_t *Req, const char *Status);

/* Print error / warning / info / message logging information */
void    LogErr (request_t *Req, const char *Status, const char *Url, int ErrNo, const char *Reason, ...);

/*)) */
#endif /* _LOGGING_H__ */
